#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

//Biblioteka napisana na podstaiwe informacji ze strony http://mirekk36.blogspot.com/

#ifndef PRZYCISKI_H_
#define PRZYCISKI_H_

#define PRZYCISK1_PORT PORTD
#define PRZYCISK1_PINX PIND
#define PRZYCISK1_PIN PD5
#define PRZYCISK1_PULL_UP PRZYCISK1_PORT |= ( 1 << PRZYCISK1_PIN )
#define PRZYCISK1_IS_HIGH (PRZYCISK1_PINX & ( 1 << PRZYCISK1_PIN ))
#define PRZYCISK1_IS_LOW !(PRZYCISK1_PINX & ( 1 << PRZYCISK1_PIN ) )

#define PRZYCISK2_PORT PORTD
#define PRZYCISK2_PINX PIND
#define PRZYCISK2_PIN PD6
#define PRZYCISK2_PULL_UP PRZYCISK2_PORT |= ( 1 << PRZYCISK2_PIN )
#define PRZYCISK2_IS_HIGH (PRZYCISK2_PINX & ( 1 << PRZYCISK2_PIN ))
#define PRZYCISK2_IS_LOW !(PRZYCISK2_PINX & ( 1 << PRZYCISK2_PIN ) )

#define PRZYCISK3_PORT PORTD
#define PRZYCISK3_PINX PIND
#define PRZYCISK3_PIN PD7
#define PRZYCISK3_PULL_UP PRZYCISK3_PORT |= ( 1 << PRZYCISK3_PIN )
#define PRZYCISK3_IS_HIGH (PRZYCISK3_PINX & ( 1 << PRZYCISK3_PIN ))
#define PRZYCISK3_IS_LOW !(PRZYCISK3_PINX & ( 1 << PRZYCISK3_PIN ) )

#define PRZYCISK4_PORT PORTB
#define PRZYCISK4_PINX PINB
#define PRZYCISK4_PIN PB0
#define PRZYCISK4_PULL_UP PRZYCISK4_PORT |= ( 1 << PRZYCISK4_PIN )
#define PRZYCISK4_IS_HIGH (PRZYCISK4_PINX & ( 1 << PRZYCISK4_PIN ))
#define PRZYCISK4_IS_LOW !(PRZYCISK4_PINX & ( 1 << PRZYCISK4_PIN ) )

#define PRZYCISK5_PORT PORTB
#define PRZYCISK5_PINX PINB
#define PRZYCISK5_PIN PB1
#define PRZYCISK5_PULL_UP PRZYCISK5_PORT |= ( 1 << PRZYCISK5_PIN )
#define PRZYCISK5_IS_HIGH (PRZYCISK5_PINX & ( 1 << PRZYCISK5_PIN ))
#define PRZYCISK5_IS_LOW !(PRZYCISK5_PINX & ( 1 << PRZYCISK5_PIN ) )


#define zwloka_czasowa 65000
#define czas_przytrzymania 63000

void przyciski_init();
uint8_t przycisk1_obsluga();
uint8_t przycisk2_obsluga();
uint8_t przycisk3_obsluga();
uint8_t przycisk4_obsluga();
uint8_t przycisk5_obsluga();



#endif /* PRZYCISKI_H_ */
