/*
 * przyciski.c
 *
 *  Created on: 2014-01-10
 *      Author: Przemek
 *  Obsluga przyciskow zaczerpnieta z http://mirekk36.blogspot.com/
 */

#include <avr/io.h>
#include "przyciski.h"

//Biblioteka napisana na podstawie informacji ze strony http://mirekk36.blogspot.com/

uint16_t key1_lock = 0, key2_lock = 0, key3_lock = 0,
			key4_lock = 0, key5_lock = 0;

void przyciski_init()
{
	PRZYCISK1_PULL_UP;
	PRZYCISK2_PULL_UP;
	PRZYCISK3_PULL_UP;
	PRZYCISK4_PULL_UP;
	PRZYCISK5_PULL_UP;
}

uint8_t przycisk1_obsluga()
{
	if(!key1_lock && PRZYCISK1_IS_LOW)
	{
		key1_lock = zwloka_czasowa;
		return 1;

	} else if( key1_lock && PRZYCISK1_IS_HIGH) key1_lock++;
	return 0;
}

uint8_t przycisk2_obsluga()
{
	if(!key2_lock && PRZYCISK2_IS_LOW)
	{
		key2_lock = zwloka_czasowa;
		return 1;
	} else if( key2_lock && PRZYCISK2_IS_HIGH) key2_lock++;
	return 0;
}

uint8_t przycisk3_obsluga()
{
	if(!key3_lock && PRZYCISK3_IS_LOW)
	{
		key3_lock = zwloka_czasowa;
		return 1;
	} else if( key3_lock && PRZYCISK3_IS_HIGH) key3_lock++;
	return 0;
}

uint8_t przycisk4_obsluga()
{
	if(!key4_lock && PRZYCISK4_IS_LOW)
	{
		key4_lock = zwloka_czasowa;
		return 1;
	} else if( key4_lock && PRZYCISK4_IS_HIGH) key4_lock++;
	return 0;
}

uint8_t przycisk5_obsluga()
{
	if(!key5_lock && PRZYCISK5_IS_LOW)
	{
		key5_lock = zwloka_czasowa;
		return 1;
	} else if( key5_lock && PRZYCISK5_IS_HIGH) key5_lock++;
	return 0;
}
