/*
 * snake.h
 *
 *  Created on: 13 sie 2016
 *      Author: Przemek
 */

#ifndef SNAKE_H_
#define SNAKE_H_

#define ILOSC_SEGMENTOW_X 14
#define ILOSC_SEGMENTOW_Y 8
#define SZEROKOSC_SEGMENTU 6
#define ROZMIAR_KOLEJKI (ILOSC_SEGMENTOW_X * ILOSC_SEGMENTOW_Y)


void snake_narysuj_owoc(uint8_t numer);
void snake_narysuj_owoc2(uint8_t numer,uint8_t kolor);
void snake_narysuj_segment(uint8_t numer,uint8_t kolor);
void snake_skasuj_ostatni();
void snake_zapisz(uint8_t dana);
uint8_t snake_sprawdz_kolizje(uint8_t pozycja);
uint8_t snake_sprawdz_kolizje2(uint8_t pozycja);
void snake_dodaj_owoc(void);
uint8_t snake_pobierz_ostatni(void);
uint8_t snake_dlugosc(void);
void snake_czysc_kolejke(void);
void snake_nowa_gra(void);
void snake_przegrana(void);
void snake_animacja( uint8_t klatka );
uint8_t snake_ruch();

void snake_kierunek_lewo();
void snake_kierunek_prawo();
void snake_kierunek_gora();
void snake_kierunek_dol();



#endif /* SNAKE_H_ */
